Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454708 - Allow Samba to write local files from remote clients
Summary: Allow Samba to write local files from remote clients
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 454705 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 20:26 UTC by Stewart Adam
Modified: 2016-08-10 13:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-10 13:55:14 UTC


Attachments (Terms of Use)

Description Stewart Adam 2008-07-09 20:26:02 UTC
Description of problem:
Users are unable to write to Samba shares configured as writeable by the samba
configuration file or system-config-samba.

Version-Release number of selected component (if applicable):
samba-3.2.0-2.17.fc9.x86_64
selinux-policy-targeted-3.3.1-74.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install samba and system-config-samba
2. Configure 1 or more samba users
3. Login from another machine
4. Try to open & save a file
  
Actual results:
SELinux denies access to samba

Expected results:
SELinux permits writing files from remote machines on samba shares or this
functionality be disabled in system-config-samba

Additional info:
Need to set samba_export_all_rw to 1

Comment 1 Daniel Walsh 2008-08-01 15:12:18 UTC
There are numerous ways to allow this one of which you specified.

You could have labeled the directory samba_share_t if it was not a system
directory or user home directory.  

setsebool -P use_samba_home_dirs 1 

If you are using home dirs.

If you are suggesting that system-config-samba do this I will change to
appropriate package.

Comment 2 Daniel Walsh 2008-08-01 15:13:33 UTC
*** Bug 454705 has been marked as a duplicate of this bug. ***

Comment 3 Bug Zapper 2009-06-10 02:00:21 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-11-16 08:09:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-11-04 11:51:07 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Nils Philippsen 2016-08-10 13:55:14 UTC
Thanks for taking the time to submit this request for enhancement.
Unfortunately, I haven't gotten around to implement this feature, sorry for
that.

Because I don't actively develop system-config-samba anymore, I won't likely
find the time to work on this ticket, so I'll close this bug now.


Note You need to log in before you can comment on or make changes to this bug.